- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

# contract.hh File Reference

Definition of contract macros. More...

Include dependency graph for contract.hh:

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces
namespace | vcsn
namespace | vcsn::misc
namespace | vcsn::misc::contract
## Functions
static void | trap (const char *file, int line, const char *location, const std::string &message)
| Internal function to report errors in failed contract macros.

## Detailed Description

Definition of contract macros.

Definition in file contract.hh.